# Makefile for VgaGames: image/

all: image.o common.o loadsave.o zoom.o rotate.o

clean:
	rm -f *.o


image.o: image.c image.h pixmod.h
	$(CC) $(CFLAGS) $(SOFLAGS) -c image.c

common.o: common.c image.h
	$(CC) $(CFLAGS) $(SOFLAGS) -c common.c

loadsave.o: loadsave.c image.h
	$(CC) $(CFLAGS) $(SOFLAGS) -c loadsave.c

zoom.o: zoom.c image.h
	$(CC) $(CFLAGS) $(SOFLAGS) -c zoom.c

rotate.o: rotate.c image.h
	$(CC) $(CFLAGS) $(SOFLAGS) -c rotate.c

